Get App Topology
curl --request GET \
--url https://api.getfloo.com/v1/apps/{app_id}/topology \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/topology"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/topology', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/topology",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/topology"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps/{app_id}/topology")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/topology")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"application_services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family": "application",
"type": "web",
"name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"declared": "unknown",
"applied": "unknown",
"runtime_status": "running",
"deploy_status": "idle",
"active_deploy_step": "<string>",
"ingress": "public",
"url": "<string>",
"cloud_run_url": "<string>",
"image_uri": "<string>",
"repo_full_name": "<string>",
"port": 123,
"schedule": "<string>",
"command": "<string>",
"timeout": 123,
"linked_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_service_name": "<string>",
"env_var_keys": [
"<string>"
],
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "success"
}
],
"managed_services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family": "application",
"type": "web",
"name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"declared": "unknown",
"applied": "unknown",
"runtime_status": "running",
"deploy_status": "idle",
"active_deploy_step": "<string>",
"ingress": "public",
"url": "<string>",
"cloud_run_url": "<string>",
"image_uri": "<string>",
"repo_full_name": "<string>",
"port": 123,
"schedule": "<string>",
"command": "<string>",
"timeout": 123,
"linked_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_service_name": "<string>",
"env_var_keys": [
"<string>"
],
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "success"
}
],
"total": 123,
"effective_status": "<string>",
"runtime_status": "running",
"deploy_status": "idle",
"active_deploy_id": "<string>",
"active_deploy_step": "<string>",
"last_deploy_id": "<string>",
"last_deploy_outcome": "<string>",
"last_deploy_failure": "<string>",
"last_deploy_failure_stage": "<string>",
"inferred_health_flags": {}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}topology
Get App Topology
Return the grouped topology the dashboard should render.
GET
/
v1
/
apps
/
{app_id}
/
topology
Get App Topology
curl --request GET \
--url https://api.getfloo.com/v1/apps/{app_id}/topology \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/topology"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/topology', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/topology",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/topology"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getfloo.com/v1/apps/{app_id}/topology")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/topology")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"application_services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family": "application",
"type": "web",
"name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"declared": "unknown",
"applied": "unknown",
"runtime_status": "running",
"deploy_status": "idle",
"active_deploy_step": "<string>",
"ingress": "public",
"url": "<string>",
"cloud_run_url": "<string>",
"image_uri": "<string>",
"repo_full_name": "<string>",
"port": 123,
"schedule": "<string>",
"command": "<string>",
"timeout": 123,
"linked_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_service_name": "<string>",
"env_var_keys": [
"<string>"
],
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "success"
}
],
"managed_services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"family": "application",
"type": "web",
"name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"declared": "unknown",
"applied": "unknown",
"runtime_status": "running",
"deploy_status": "idle",
"active_deploy_step": "<string>",
"ingress": "public",
"url": "<string>",
"cloud_run_url": "<string>",
"image_uri": "<string>",
"repo_full_name": "<string>",
"port": 123,
"schedule": "<string>",
"command": "<string>",
"timeout": 123,
"linked_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"linked_service_name": "<string>",
"env_var_keys": [
"<string>"
],
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "success"
}
],
"total": 123,
"effective_status": "<string>",
"runtime_status": "running",
"deploy_status": "idle",
"active_deploy_id": "<string>",
"active_deploy_step": "<string>",
"last_deploy_id": "<string>",
"last_deploy_outcome": "<string>",
"last_deploy_failure": "<string>",
"last_deploy_failure_stage": "<string>",
"inferred_health_flags": {}
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Path Parameters
Query Parameters
Enumerate the persisted development, production, and preview environment names.
Available options:
dev, prod, preview Response
Successful Response
Grouped topology response for a single app.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
running, starting, stopped, degraded Available options:
idle, in_progress, succeeded, failed Show child attributes
Show child attributes